using System.Collections;
using UnityEngine;

[System.Serializable]
public class RoadPoint 
{
    public float x;
    public float y;

    public RoadPoint(float x, float y)
    {
        this.x = x;
        this.y = y;
    }

    override public string ToString()
    {
        return string.Format("[{0},{1}]\n", x, y);
    } 

    public bool IsEqual(RoadPoint obj) 
    {
        return (x == obj.x) && (y == obj.y);
    }
}